
import React from 'react';
import Icon from 'react-icon-base';

const SlCamrecorder = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M638.128 736.624c1.28027 0 2.32031 -1.00781 2.32031 -2.24023v-127.872c0 -23.6641 13.0557 -45.4238 34 -56.5273c9.4082 -5.00781 19.7119 -7.47168 30 -7.47168c12.5596 0 27.0557 3.67969 37.8398 10.9912l217.712 123.232v-456.416l-218.912 119.52 c-10.9756 7.66406 -23.7754 11.5361 -36.6553 11.5361c-10.1279 0 -20.2559 -2.40039 -29.5674 -7.2168c-21.1201 -11.0244 -34.4004 -32.8809 -34.4326 -56.6885l-0.160156 -125.84c0 -1.24805 -1.00781 -2.25586 -2.28809 -2.25586h-571.696 c-1.28027 0 -2.28809 0.992188 -2.28809 2.22461l0.160156 572.784c0 1.24805 1.00781 2.24023 2.28809 2.24023h571.68zM990.368 768.656c-6.81641 0 -20.291 -2.01562 -27.9707 -9.66406l-257.968 -152.48v127.872c0 36.5596 -29.6797 66.2393 -66.3193 66.2393h-571.68 c-36.6719 0 -66.2881 -29.6641 -66.2881 -66.2402l-0.143555 -572.752c0 -36.5596 29.6318 -66.2559 66.2881 -66.2559h571.712c36.6562 0 66.2881 29.6797 66.2881 66.2559l0.160156 125.744l262.976 -153.312c7.71191 -7.67969 16.2559 -6.6875 23.0879 -6.6875 c7.08789 0 12.3682 2.16016 13.0244 2.43262c12.4316 5.18359 20.4639 17.1836 20.4639 30.6875v574.976c0 13.5039 -8.03223 25.5518 -20.4639 30.6562c-0.719727 0.320312 -6.03125 2.52832 -13.167 2.52814z"/></g>
    </Icon>
);

export default SlCamrecorder;
